Bug 973895 - spaces in product number are not flagged as invalid
spaces in product number are not flagged as invalid
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
x86_64 Linux
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 01:20 EDT by Pavithra
Modified: 2015-05-17 21:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:47:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavithra 2013-06-13 01:20:07 EDT
Description of problem:
Unable to generate PDFs for some books because of the FOP error

Version-Release number of selected component (if applicable):
Publican 3.1.5

How reproducible:

Whenever you create a book in Fedora 17 and try to generate a PDF on Fedora 18.

Steps to Reproduce:
1.Create a book on Fedora 17
2.Upgrade your operating system to Fedora 18
3.Generate a PDF using Publican.

Actual results:
[pavithra@unused Command_Line_Shell_Guide]$ publican build --formats=pdf --langs=en-US
Setting up en-US
        Processing file tmp/en-US/xml/Common_Content/Conventions.xml -> tmp/en-US/xml/Common_Content/Conventions.xml
        Processing file tmp/en-US/xml/Common_Content/Feedback.xml -> tmp/en-US/xml/Common_Content/Feedback.xml
        Processing file tmp/en-US/xml/Common_Content/Legal_Notice.xml -> tmp/en-US/xml/Common_Content/Legal_Notice.xml
        Processing file tmp/en-US/xml/Common_Content/Program_Listing.xml -> tmp/en-US/xml/Common_Content/Program_Listing.xml
        Processing file tmp/en-US/xml/Common_Content/Revision_History.xml -> tmp/en-US/xml/Common_Content/Revision_History.xml
        Processing file tmp/en-US/xml_tmp/About_the_Command_Line_Interface.xml -> tmp/en-US/xml/About_the_Command_Line_Interface.xml
        Processing file tmp/en-US/xml_tmp/Author_Group.xml -> tmp/en-US/xml/Author_Group.xml
        Processing file tmp/en-US/xml_tmp/Book_Info.xml -> tmp/en-US/xml/Book_Info.xml
        Processing file tmp/en-US/xml_tmp/Chapter.xml -> tmp/en-US/xml/Chapter.xml
        Processing file tmp/en-US/xml_tmp/Command_Line_Shell_Guide.xml -> tmp/en-US/xml/Command_Line_Shell_Guide.xml
        Processing file tmp/en-US/xml_tmp/Preface.xml -> tmp/en-US/xml/Preface.xml
        Processing file tmp/en-US/xml_tmp/Revision_History.xml -> tmp/en-US/xml/Revision_History.xml
        Processing file tmp/en-US/xml_tmp/cli_queries.xml -> tmp/en-US/xml/cli_queries.xml
        Processing file tmp/en-US/xml_tmp/commands.xml -> tmp/en-US/xml/commands.xml
        Processing file tmp/en-US/xml_tmp/installing_the_cli.xml -> tmp/en-US/xml/installing_the_cli.xml
        Processing file tmp/en-US/xml_tmp/quick_start_example.xml -> tmp/en-US/xml/quick_start_example.xml
        Processing file tmp/en-US/xml_tmp/resource_types.xml -> tmp/en-US/xml/resource_types.xml
Beginning work on en-US
DTD Validation OK
        Starting pdf
        Using XML::LibXSLT on /usr/share/publican/Common_Content/RedHat/xsl/pdf.xsl
Making portrait pages on A4 paper (210mmx297mm)

USAGE
fop [options] [-fo|-xml] infile [-xsl file] [-awt|-pdf|-mif|-rtf|-tiff|-png|-pcl|-ps|-txt|-at [mime]|-print] <outfile>
 [OPTIONS]  
  -version          print FOP version and exit
  -d                debug mode   
  -x                dump configuration settings  
  -q                quiet mode  
  -c cfg.xml        use additional configuration file cfg.xml
  -l lang           the language to use for user information 
  -r                relaxed/less strict validation (where available)
  -dpi xxx          target resolution in dots per inch (dpi) where xxx is a number
  -s                for area tree XML, down to block areas only
  -v                run in verbose mode (currently simply print FOP version and continue)

  -o [password]     PDF file will be encrypted with option owner password
  -u [password]     PDF file will be encrypted with option user password
  -noprint          PDF file will be encrypted without printing permission
  -nocopy           PDF file will be encrypted without copy content permission
  -noedit           PDF file will be encrypted without edit content permission
  -noannotations    PDF file will be encrypted without edit annotation permission
  -a                enables accessibility features (Tagged PDF etc., default off)
  -pdfprofile prof  PDF file will be generated with the specified profile
                    (Examples for prof: PDF/A-1b or PDF/X-3:2003)

  -conserve         Enable memory-conservation policy (trades memory-consumption for disk I/O)
                    (Note: currently only influences whether the area tree is serialized.)

 [INPUT]  
  infile            xsl:fo input file (the same as the next) 
                    (use '-' for infile to pipe input from stdin)
  -fo  infile       xsl:fo input file  
  -xml infile       xml input file, must be used together with -xsl 
  -atin infile      area tree input file 
  -ifin infile      intermediate format input file 
  -imagein infile   image input file (piping through stdin not supported)
  -xsl stylesheet   xslt stylesheet 
 
  -param name value <value> to use for parameter <name> in xslt stylesheet
                    (repeat '-param name value' for each parameter)
 
  -catalog          use catalog resolver for input XML and XSLT files
 [OUTPUT] 
  outfile           input will be rendered as PDF into outfile
                    (use '-' for outfile to pipe output to stdout)
  -pdf outfile      input will be rendered as PDF (outfile req'd)
  -pdfa1b outfile   input will be rendered as PDF/A-1b compliant PDF
                    (outfile req'd, same as "-pdf outfile -pdfprofile PDF/A-1b")
  -awt              input will be displayed on screen 
  -rtf outfile      input will be rendered as RTF (outfile req'd)
  -pcl outfile      input will be rendered as PCL (outfile req'd) 
  -ps outfile       input will be rendered as PostScript (outfile req'd) 
  -afp outfile      input will be rendered as AFP (outfile req'd)
  -tiff outfile     input will be rendered as TIFF (outfile req'd)
  -png outfile      input will be rendered as PNG (outfile req'd)
  -txt outfile      input will be rendered as plain text (outfile req'd) 
  -at [mime] out    representation of area tree as XML (outfile req'd) 
                    specify optional mime output to allow the AT to be converted
                    to final format later
  -if [mime] out    representation of document in intermediate format XML (outfile req'd)
                    specify optional mime output to allow the IF to be converted
                    to final format later
  -print            input file will be rendered and sent to the printer 
                    see options with "-print help" 
  -out mime outfile input will be rendered using the given MIME type
                    (outfile req'd) Example: "-out application/pdf D:\out.pdf"
                    (Tip: "-out list" prints the list of supported MIME types)
  -svg outfile      input will be rendered as an SVG slides file (outfile req'd) 
                    Experimental feature - requires additional fop-sandbox.jar.

  -foout outfile    input will only be XSL transformed. The intermediate 
                    XSL-FO file is saved and no rendering is performed. 
                    (Only available if you use -xml and -xsl parameters)


 [Examples]
  fop foo.fo foo.pdf 
  fop -fo foo.fo -pdf foo.pdf (does the same as the previous line)
  fop -xml foo.xml -xsl foo.xsl -pdf foo.pdf
  fop -xml foo.xml -xsl foo.xsl -foout foo.fo
  fop -xml - -xsl foo.xsl -pdf -
  fop foo.fo -mif foo.mif
  fop foo.fo -rtf foo.rtf
  fop foo.fo -print
  fop foo.fo -awt


FOP error, PDF generation failed. Check log for details.
 at /usr/bin/publican line 921.

Expected results:
PDF needs to build successfully.

Additional info:
Attaching a tar ball of the book
Comment 2 Jeff Fearn 2013-06-13 01:47:28 EDT
<productnumber>2.1 </productnumber> That trailing space is invalid and it should get rejected when building.

Workaround is to avoid using spaces in productnumber.
Comment 3 Jeff Fearn 2013-07-11 02:06:41 EDT
To ssh://git.fedorahosted.org/git/publican.git
   235867c..d0169c7  HEAD -> devel
Comment 4 HSS Product Manager 2013-07-15 23:47:42 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 5 Scott Radvan 2013-07-19 00:13:18 EDT
verified that a trailing space in <productnumber> tags is flagged as invalid

publican-3.1.5-0.fc19.t62.noarch
Comment 6 Jeff Fearn 2013-08-09 00:47:55 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.